Bug Hunting Session
Bug 67339 - FILEOPEN: MS .docx with autoshape picture imported in wrong position
Summary: FILEOPEN: MS .docx with autoshape picture imported in wrong position
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Images
  Show dependency treegraph
 
Reported: 2013-07-26 08:47 UTC by Luke
Modified: 2019-07-11 02:54 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
MS .docx file fails to import correctly (708.10 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-07-26 09:00 UTC, Luke
Details
Comparison of Doc in Word vs Writer P1 (175.95 KB, image/png)
2013-07-26 09:01 UTC, Luke
Details
Comparison of Doc in Word vs Writer P2 (268.47 KB, image/png)
2013-07-26 09:02 UTC, Luke
Details
Comparison of Doc in Word vs Writer P3 (274.72 KB, image/png)
2013-07-26 09:03 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2013-07-26 08:47:00 UTC
This bug was tested LibreOffice v4.1 running in windows 7 and XP. It appears that LibreOffice loses formatting when importing MS .docx files. I have attached an example.

Steps to reproduce the bug:
1. Open attached Demo-Hayden-Management-v2.docx document in writer 
2. Open attached Demo-Hayden-Management-v2.docx document in Word2007/Office 365
3. Compare the documents. 

Note from the screenshot that after the import, the orange title page appears on page 2 blocking out all of the text on that page.
Comment 1 Luke 2013-07-26 09:00:23 UTC
Created attachment 83023 [details]
MS .docx file fails to import correctly

Note the black and orange auto-shapes appear on the wrong page.
Comment 2 Luke 2013-07-26 09:01:28 UTC
Created attachment 83024 [details]
Comparison of Doc in Word vs Writer P1
Comment 3 Luke 2013-07-26 09:02:05 UTC
Created attachment 83025 [details]
Comparison of Doc in Word vs Writer P2
Comment 4 Luke 2013-07-26 09:03:53 UTC
Created attachment 83026 [details]
Comparison of Doc in Word vs Writer P3

Note many of the objects are in the wrong position
Comment 5 Jorendc 2013-07-26 19:08:45 UTC
I can confirm this behavior, tested using Linux mint 15 x64 with LibreOffice Version: 4.2.0.0.alpha0+ Build ID: 7fd81244c21ad54a8b9766902fd7c34e8055b165

Kind regards,
Joren
Comment 6 retired 2015-01-12 08:46:52 UTC
just adding another data point:
OSX 10.10.1
LO 4.4.0.2 + LO 4.5 nightly 2015-01-12
both display this issue.
Comment 7 Robinson Tryon (qubit) 2015-12-09 18:45:07 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-12-08 08:08:26 UTC Comment hidden (obsolete)
Comment 9 Luke 2017-12-08 16:38:30 UTC
Black and Orange rectangles on wrong page in Version: 6.1.0.0.alpha0+ (x64)
Build ID: eff70347190a6642fd62a9e0b20e4366c39fbc7a
Comment 10 QA Administrators 2019-07-11 02:54:25 UTC
Dear Luke,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug